oracle.jdbc.babelfish

## Class BabelfishGenericProxy

- java.lang.Object
- - oracle.jdbc.babelfish.BabelfishGenericProxy

Direct Known Subclasses:
  BabelfishConnection, BabelfishStatement

    public abstract class BabelfishGenericProxy
    extends Object

Defines the common behavior needed by all the babelfish proxies to support auto translation of queries or errors. All the proxies are children of this class and thus get the common behavior via inheritance.

### Constructor Summary

Constructors
Constructor and Description
`BabelfishGenericProxy()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract Object` `getCreator()`
`protected abstract Object` `getDelegate()`
`protected Object` `post_Methods(Method m, Object result)` Post method interceptor.
`protected Object` `translateError(Method m, SQLException ex)` Error interceptor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BabelfishGenericProxy

    public BabelfishGenericProxy()

### Method Detail

#### getCreator

    protected abstract Object getCreator()

Returns:

#### getDelegate

    protected abstract Object getDelegate()

Returns:

#### translateError

    protected Object translateError(Method m,
                                    SQLException ex)
                             throws SQLException

Error interceptor. Handles the translation of error.

Parameters:
  `m` -
  `ex` -
Returns:
Throws:
  `SQLException`

#### post_Methods

    protected Object post_Methods(Method m,
                                  Object result)

Post method interceptor. Sets the translator in the returning object if the returning object is a child of BabelfishGenericProxy

Parameters:
  `m` -
  `result` -
Returns:

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.